
%-------------------------------------------------------------------------------
%   Generates a GUI with a set of telemetry pages.
%
%   To initialize:
%
%   Telemetry( 'initialize', d, onlineHelpFileName, tagForTelemetryGUI )
%
%   The structure array d. d has the form
%
%   d.telemetryNames{:}
%   d.units{:}
%   d.format{:} C format strings
%   d.page(:)
% 
%   where 
%
%   page(k).name
%   page(k).columns
%   page(k).telemetryPoint(:) A row by row list of points corresponding to
%                             the names
%
%   or a mat file name with the above information or if no input
%   it will ask for a mat file of the correct form. See TelemetryDemo.
%
%   To update the pages, type 
%
%   Telemetry( 'update', tag, u )
%
%   where u is the data corresponding to d.telemetryNames. u has three fields
%   u.data
%   u.time
%   u.timeFormat 'Calendar' 'sec', 'JD'
%   Calendar time format is a string 'mm/dd/yyyy hh:mm:ss'
%
%   To increase internal memory allocation search for nTelemetryPoints
%   and set to a larger number.
%
%   To quit type
%
%   Telemetry( 'quit', tag );
%   
%-------------------------------------------------------------------------------
%   Form:
%   tag = Telemetry( action, modifier, u, v )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   action          (1,:)   Action to be taken by the message center
%   modifier        (:)     Modifier to the message
%   u               (:)     Help file name
%   v               (:)     Data structure or name of the telemetry
%                           data file
%
%   -------
%   Outputs
%   -------
%   tag             (1,:)   Returns the window tag on initialization
%
%-------------------------------------------------------------------------------